<?xml version="1.0" encoding="UTF-8"?>
<xs:schema xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns="http://www.xemelios.org/namespaces#cg-1.0" targetNamespace="http://www.xemelios.org/namespaces#cg-1.0">
    <xs:include schemaLocation="../TPied.xsd"/>
    <xs:include schemaLocation="TEntetePresentationCroisee_VoteNature.xsd"/>
    <xs:include schemaLocation="TLigneEnTetePresentationCroisee_VoteNature.xsd"/> 
    <xs:include schemaLocation="TLignePresentationCroisee_VoteNature.xsd"/>
    
    <xs:complexType name="TPagePresentationCroisee_VoteNature">
            <xs:sequence>
                <xs:element name="EntetePresentationCroisee_VoteNature" type="TEntetePresentationCroisee_VoteNature" maxOccurs="1"/>
                <xs:element name="LigneEnTetePresentationCroisee_VoteNature" type="TLigneEnTetePresentationCroisee_VoteNature" maxOccurs="1"/>
                <xs:element name="LignePresentationCroisee_VoteNature" type="TLignePresentationCroisee_VoteNature" minOccurs="0" maxOccurs="1"/>
                <xs:element name="Pied" type="TPied" maxOccurs="1"/>
            </xs:sequence>
            <xs:attribute name="CodeEdition" use="required">
                <xs:simpleType>
                    <xs:restriction base="xs:string">
                        <xs:length value="4"/>                        
                        <xs:enumeration value="CG17"/>                                                
                    </xs:restriction>
                </xs:simpleType>
            </xs:attribute>
            
            <xs:attribute name="Modele" use="required">
                <xs:simpleType>
                    <xs:restriction base="xs:string">
                        <xs:length value="2"/>                        
                        <xs:enumeration value="20">
                            <xs:annotation><xs:documentation>Dépense</xs:documentation></xs:annotation>
                        </xs:enumeration>                                                                                                   
                        <xs:enumeration value="21">
                            <xs:annotation><xs:documentation>Recette</xs:documentation></xs:annotation>
                        </xs:enumeration>                                                                                                 
                    </xs:restriction>
                </xs:simpleType>
            </xs:attribute>
        </xs:complexType>
</xs:schema>